--[[
File Author: networkerror
File Revision: 143
File Date: 2009-07-14T05:21:57Z
]]--
local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "enUS", true)
if L then
L["BCF"] = "Base Channel Filters"
L["BCFD"] = "Trade Channel Filters are only applied to the Trade Channel, no other channels are affected by this list."
L["bLists"] = "BlackList"
L["BTF"] = "Base Trade Filters"
L["bwLists"] = "Black/White List"
L["CFM"] = "Checking for Match:"
L["channelGroup"] = "Channel Selection"
L["Debug"] = "Debug [Requires Creating ChatFrame 'DEBUG']"
L["DebugDesc"] = "Enable Debugging output to DEBUG Channel [Requires Creating ChatFrame 'DEBUG']"
L["debugFrame"] = "DEBUG"
L["DISABLED"] = "|cffff8080Disabled|r"
L["EditFilter"] = "Edit Filter Expressions"
L["EditFilterD"] = "Edit Filter Expressions to be matched in Trade or Base Channel."
L["EditFilterGD"] = "Edit Filter Expressions to be matched in Trade or Base Channel Group."
L["EditFilterGroup"] = "Edit Custom Filters"
L["EditFilterUsage"] = "Case Insensitive LFG = [lL][fF][gG]"
L["EditLists"] = "Edit Black/White List"
L["ENABLED"] = "|cff00ff00Enabled|r"
L["FADD"] = "added to the TradeFilter exempt list."
L["FREM"] = "removed from TradeFilter exempt list."
L["FSELF"] = "Filter Self"
L["FSELFD"] = "Allow yourself to be filtered? This can be used to test filters. TRUE = Player is subject to filtering, FALSE =  Player is not subject to filtering and passes through unchecked."
L["GC"] = "Filter General Channel"
L["GCD"] = "Select this to apply filter to General Channel."
L["General"] = true
L["LFG"] = true
L["LFGC"] = "Filter LFG Channel"
L["LFGCD"] = "Select this to apply filter to LFG Channel."
L["listsGD"] = "Add words or patterns to match against for a Black/White list."
L["listsGroup"] = "Black/White Lists"
L["LOADED"] = "|cff00ff00Loaded!|r"
L["MATCHED"] = "|cff00ff00Matched:|r"
L["NOMATCH"] = "|cff00ff00NO Match Found - Redirected|r"
L["OUTPUT"] = "Output Options"
L["Profiles"] = true
L["RBF"] = "Reset Base Filters"
L["RBWL"] = "Reset Black/White List"
L["Redir"] = "Redirect Spam [Requires Creating ChatFrame 'SPAM']"
L["RedirDesc"] = "Redirect Trade Channel Spam to SPAM Channel [Requires Creating ChatFrame 'SPAM']"
L["redirectFrame"] = "SPAM"
L["REPEAT"] = "Repeat Filtration"
L["repeatFrame"] = "REPEAT"
L["RLS"] = "Reset Lists"
L["#RPT"] = "Repeats"
L["RPTBLOCKED"] = "Blocked"
L["RPTBLOCKEDD"] = "Total Repeats Blocked"
L["#RPTD"] = "Number of repeats before filtered."
L["RPTENABLE"] = "Enable Repeat Check"
L["RPTENABLED"] = "Enable or Disable Repeat Check"
L["RPTRESET"] = "Reset"
L["RPTRESETD"] = "Reset Repeat Count"
L["RPTU"] = "If string is repeated X times in Y seconds then filter."
L["RTF"] = "Reset Trade Filter"
L["RUI"] = "Reload UI"
L["RUID"] = "Reload the User Interface for some changes to take effect."
L["SAYC"] = "Filter SAY Channel"
L["SAYCD"] = "Select this to apply filter to SAY Channel."
L["Say/Yell"] = true
L["TC"] = "Filter Trade Channel"
L["TCD"] = "Select this to apply filter to Trade Channel"
L["TFR"] = "TradeFilter3"
L["Trade"] = true
L["TRPT"] = "Time"
L["TRPTD"] = "Time required between repeats in seconds."
L["TurnOn"] = "Turn On"
L["TurnOnDesc"] = "Enable Trade Channel Filter."
L["wLists"] = "WhiteList"
L["YELLC"] = "Filter YELL Channel"
L["YELLCD"] = "Select this to apply filter to YELL Channel."
L.BLACKLIST = {
	BLIST1 = "%[.*%].*rectum",
	BLIST10 = "%[.*%].*%[dirge%]",
	BLIST2 = "rectum.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	BLIST4 = "anal.*%[.*%]",
	BLIST5 = "%[.*%].*in.*bed",
	BLIST6 = "in.*bed.*%[.*%]",
	BLIST7 = "%[willy%].*%[.*%]",
	BLIST8 = "%[.*%].*%[willy%]",
	BLIST9 = "%[dirge%].*%[.*%]",
}
L.FILTERS = {
	BASE = {
		FILTER1 = "[lL][fF]%d[mM]?",
		FILTER2 = "[lL][fF][mM]?",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[lL][fF] [dD][pP][sS]",
		FILTER8 = "[lL][fF] [tT][aA][nN][kK]",
		FILTER9 = "[lL][fF] [hH][eE][aA][lL][eE][rR]",
	},
	TRADE = {
		FILTER1 = "[bB][uU][yY][iI][nN][gG]",
		FILTER10 = "[lL][fF] [pP][oO][rR][tT]",
		FILTER2 = "[wW][tT][bBsStT]",
		FILTER3 = "[lL][fF][wWeE]",
		FILTER4 = "[lL][fF] [eE][nN][cC][hH][aA][nN][tT]",
		FILTER5 = "[lL][fF] [jJ][cC]",
		FILTER6 = "AH",
		FILTER7 = "looking for work",
		FILTER8 = "lockpick",
		FILTER9 = "[sS][eE][lL][lL][iI][nN][gG]",
	},
}
L.TOC = {
	Notes = "Filter the shit outta trade channel.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "enchant:%d+[^%a%d]",
	WLIST2 = "item:%d+[^%a%d]",
	WLIST3 = "spell:%d+[^%a%d]",
	WLIST4 = "trade:%d+[^%a%d]",
	WLIST5 = "|Hspell.-|h(.-)|h",
}

if GetLocale() == "enUS" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "deDE")
if L then
L["BCF"] = "Grundlegende Channelfilter"
L["BCFD"] = "Handelschannel-Filter werden ausschließlich auf den Handelschannel angewandt, kein anderer Channel ist von ihnen betroffen."
L["bLists"] = "Schwarze Liste"
L["BTF"] = "Grundlegende Handelsfilter"
L["bwLists"] = "Schwarze/Weiße Liste"
L["CFM"] = "Suche Übereinstimmung:"
L["channelGroup"] = "Channelauswahl"
L["Debug"] = "Debuginfos anzeigen [Erstelle hierfür ein Chatfenster namens 'DEBUG']"
L["DebugDesc"] = "Zeigt die Debug-Ausgabe im Channel DEBUG an [Erstelle hierfür ein Chatfenster namens 'DEBUG']"
L["debugFrame"] = "DEBUG"
L["DISABLED"] = "|cffff8080Deaktiviert|r"
L["EditFilter"] = "Filter bearbeiten"
L["EditFilterD"] = "Filter bearbeiten, die auf Handel- oder sonstige Channel angewandt werden sollen."
L["EditFilterGD"] = "Filter bearbeiten, die auf Handel- oder sonstige Channel angewandt werden sollen."
L["EditFilterGroup"] = "Filter bearbeiten"
L["EditFilterUsage"] = "LFG, unabhängig von Groß- und Kleinschreibung, identisch mit [lL][fF][gG]"
L["EditLists"] = "Schwarze/Weiße Liste bearbeiten"
L["ENABLED"] = "|cff00ff00Aktiviert|r"
L["FADD"] = "zur TradeFilter-Bevorrechtigtenliste hinzugefügt."
L["FREM"] = "von der TradeFilter-Bevorrechtigtenliste entfernt."
L["FSELF"] = "Dich selbst filtern"
L["FSELFD"] = "Dich selbst filtern? Nutze diese Funktion, um Filter zu testen. Ist die Funktion eingeschaltet, werden die Filter auch auf dich angewandt. Ist sie ausgeschaltet, werden deine Sätze nicht gefiltert."
L["GC"] = "Allgemein-Channel filtern"
L["GCD"] = "Aktivere diese Funktion, um den Filter auf den Allgemein-Channel anzuwenden."
L["General"] = "Allgemein"
L["LFG"] = "SucheNachGruppe"
L["LFGC"] = "SucheNachGruppe-Channel filtern"
L["LFGCD"] = "Aktivere diese Funktion, um den Filter auf den SucheNachGruppe-Channel anzuwenden."
L["listsGD"] = "Füge Worte und Suchmuster zur Schwarzen und Weißen Liste hinzu."
L["listsGroup"] = "Schwarze/Weiße Liste"
L["LOADED"] = "|cff00ff00Geladen!|r"
L["MATCHED"] = "|cff00ff00Treffer:|r"
L["NOMATCH"] = "|cff00ff00NO Übereinstimmung gefunden - umgeleitet|r"
L["OUTPUT"] = "Ausgabeoptionen"
L["Profiles"] = "Profile"
L["RBF"] = "Grundfilter zurücksetzen"
L["RBWL"] = "Schwarze/Weiße Liste zurücksetzen"
L["Redir"] = "Spam umleiten [Erstelle hierfür ein Chatfenster namens 'SPAM']"
L["RedirDesc"] = "Zeigt gefilterten Spam im Channel SPAM an [Erstelle hierfür ein Chatfenster namens 'SPAM']"
L["redirectFrame"] = "SPAM"
L["REPEAT"] = "Wiederholungsfilter"
L["repeatFrame"] = "REPEAT"
L["RLS"] = "Listen zurücksetzen"
L["#RPT"] = "Wiederholungen"
L["RPTBLOCKED"] = "Blockiert"
L["RPTBLOCKEDD"] = "Insgesamt blockierte Wiederholungen"
L["#RPTD"] = "Anzahl der Wiederholungen, bevor gefiltert wird."
L["RPTENABLE"] = "Wiederholungsprüfung einschalten"
L["RPTENABLED"] = "Wiederholungsprüfung ein- oder ausschalten"
L["RPTRESET"] = "Zurücksetzen"
L["RPTRESETD"] = "Wiederholungszähler zurücksetzen"
L["RPTU"] = "Filtere Zeichenketten, die x-mal innerhalb von y Sekunden im Chat erscheinen."
L["RTF"] = "Handelsfilter zurücksetzen"
L["RUI"] = "Interface neu laden"
L["RUID"] = "Lädt das Interface neu, um einige Änderungen zu aktivieren."
L["SAYC"] = "Sagen-Channel filtern"
L["SAYCD"] = "Aktivere diese Funktion, um den Filter auf den Sagen-Channel anzuwenden."
L["Say/Yell"] = "Sagen/Schreien"
L["TC"] = "Handelschannel filtern"
L["TCD"] = "Aktivere diese Funktion, um den Filter auf den Handelschannel anzuwenden."
L["TFR"] = "TradeFilter3"
L["Trade"] = "Handel"
L["TRPT"] = "Zeit"
L["TRPTD"] = "Zulässige Zeit zwischen Wiederholungen in Sekunden."
L["TurnOn"] = "Aktivieren"
L["TurnOnDesc"] = "Aktiviert den Handelschannel-Filter."
L["wLists"] = "Weiße Liste"
L["YELLC"] = "Schreien-Channel filtern"
L["YELLCD"] = "Aktivere diese Funktion, um den Filter auf den Schreien-Channel anzuwenden."
L.BLACKLIST = {
	BLIST1 = "%[.*%].*arsch",
	BLIST10 = "%[.*%].*%[todeslied%]",
	BLIST2 = "arsch.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	BLIST4 = "anal.*%[.*%]",
	BLIST5 = "%[.*%].*im.*bett",
	BLIST6 = "im.*bett.*%[.*%]",
	BLIST7 = "%[schniedel%].*%[.*%]",
	BLIST8 = "%[.*%].*%[schniedel%]",
	BLIST9 = "%[todeslied%].*%[.*%]",
}
L.FILTERS = {
	BASE = {
		FILTER1 = "[sS][uU][cC][hH][eE] [nN][oO][cC][hH] %d",
		FILTER2 = "[lL][fF][mM]?",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[sS][uU][cC][hH][eE] [dD][dD]",
		FILTER8 = "[sS][uU][cC][hH][eE] [tT][aA][nN][kK]",
		FILTER9 = "[sS][uU][cC][hH][eE] [hH][eE][iI][lL][eE][rR]",
	},
	TRADE = {
		FILTER1 = "[kK][aA][uU][fF][eE]",
		FILTER10 = "[sS][uU][cC][hH][eE] [pP][oO][rR][tT]",
		FILTER2 = "[wW][tT][bBsStT]",
		FILTER3 = "[lL][fF][wWeE]",
		FILTER4 = "[sS][uU][cC][hH][eE] [vV][eE][rR][zZ]",
		FILTER5 = "[sS][uU][cC][hH][eE] [jJ][uU][wW][eEiI]",
		FILTER6 = "AH",
		FILTER7 = "suche arbeit",
		FILTER8 = "knack[et]n?",
		FILTER9 = "[vV][eE][rR][kK][aA][uU][fF][eE]",
	},
}
L.TOC = {
	Notes = "Filtere den Abfall aus dem Handelchannel.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "enchant:%d+[^%a%d]",
	WLIST2 = "item:%d+[^%a%d]",
	WLIST3 = "spell:%d+[^%a%d]",
	WLIST4 = "trade:%d+[^%a%d]",
	WLIST5 = "|Hspell.-|h(.-)|h",
}

if GetLocale() == "deDE" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhCN")
if L then
L["BCF"] = "基础频道过滤器"
-- L["BCFD"] = ""
L["bLists"] = "黑名单"
L["BTF"] = "基础交易频道过滤器"
L["bwLists"] = "黑/白名单"
-- L["CFM"] = ""
L["channelGroup"] = "频道选择"
L["Debug"] = "除错模式 [需要新建一个聊天框名为 'DEBUG']"
L["DebugDesc"] = "启用除错模式并输出到 <DEBUG> 频道 [需要新建聊天框名为 'DEBUG']"
-- L["debugFrame"] = ""
-- L["DISABLED"] = ""
L["EditFilter"] = "编辑过滤符号"
L["EditFilterD"] = "编辑在交易或基础频道中要匹配的过滤符号。"
L["EditFilterGD"] = "编辑在交易或基础频道分组中要匹配的过滤符号。"
L["EditFilterGroup"] = "编辑自定义过滤器"
-- L["EditFilterUsage"] = ""
L["EditLists"] = "编辑黑/白名单"
-- L["ENABLED"] = ""
-- L["FADD"] = ""
-- L["FREM"] = ""
L["FSELF"] = "过滤自身"
L["FSELFD"] = "允许过滤自身? 这个可以用来测试过滤器. TRUE = 玩家自身将被过滤, FALSE = 玩家自身将不被过滤."
L["GC"] = "过滤 <综合> 频道"
L["GCD"] = "选中以过滤 <综合> 频道"
-- L["General"] = ""
-- L["LFG"] = ""
L["LFGC"] = "过滤 <组队> 频道"
L["LFGCD"] = "选中以过滤 <组队> 频道"
-- L["listsGD"] = ""
L["listsGroup"] = "黑/白名单列表"
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "输出选项"
L["Profiles"] = "配置文件"
L["RBF"] = "重置基础过滤器" -- Needs review
L["RBWL"] = "重置黑/白名单"
L["Redir"] = "重定向垃圾信息 [需要新建聊天框名为 'SPAM']"
L["RedirDesc"] = "重定向交易频道垃圾信息到垃圾信息频道 [需要新建聊天框名为 'SPAM']"
-- L["redirectFrame"] = ""
L["REPEAT"] = "重复过滤"
-- L["repeatFrame"] = ""
-- L["RLS"] = ""
L["#RPT"] = "重复次数"
-- L["RPTBLOCKED"] = ""
-- L["RPTBLOCKEDD"] = ""
L["#RPTD"] = "需要过滤的重复次数"
-- L["RPTENABLE"] = ""
-- L["RPTENABLED"] = ""
-- L["RPTRESET"] = ""
-- L["RPTRESETD"] = ""
L["RPTU"] = "如果字符在Y秒内重复X次则过滤。"
L["RTF"] = "重置交易过滤器"
L["RUI"] = "重载 UI"
L["RUID"] = "重载 UI 以使一些改动生效。"
L["SAYC"] = "过滤 <说> 频道"
L["SAYCD"] = "选中以过滤 <说> 频道"
-- L["Say/Yell"] = ""
L["TC"] = "过滤交易频道"
L["TCD"] = "选中以过滤 <交易> 频道"
L["TFR"] = "TradeFilter3"
-- L["Trade"] = ""
L["TRPT"] = "次数"
L["TRPTD"] = "允许的重复次数"
L["TurnOn"] = "开启"
L["TurnOnDesc"] = "启用交易频道过滤器"
L["wLists"] = "白名单"
L["YELLC"] = "过滤 <大喊> 频道"
L["YELLCD"] = "选中以过滤 <大喊> 频道"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	Notes = "过滤讨厌的交易频道垃圾信息.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	WLIST1 = "附魔：%d+[^%a%d]",
	WLIST2 = "物品:%d+[^%a%d]",
	WLIST3 = "法术:%d+[^%a%d]",
	WLIST4 = "交易:%d+[^%a%d]",
	-- WLIST5 = "",
}

if GetLocale() == "zhCN" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "zhTW")
if L then
-- L["BCF"] = ""
-- L["BCFD"] = ""
-- L["bLists"] = ""
-- L["BTF"] = ""
-- L["bwLists"] = ""
-- L["CFM"] = ""
L["channelGroup"] = "頻道選擇"
L["Debug"] = "除錯模式 [需要新建聊天視窗名為 'DEBUG']"
L["DebugDesc"] = "啟用除錯模式并輸出到 <DEBUG> 頻道 [需要新建聊天視窗名為 'DEBUG']"
-- L["debugFrame"] = ""
-- L["DISABLED"] = ""
-- L["EditFilter"] = ""
-- L["EditFilterD"] = ""
-- L["EditFilterGD"] = ""
-- L["EditFilterGroup"] = ""
-- L["EditFilterUsage"] = ""
-- L["EditLists"] = ""
-- L["ENABLED"] = ""
-- L["FADD"] = ""
-- L["FREM"] = ""
L["FSELF"] = "過濾自身"
L["FSELFD"] = "允許過濾自身信息? 這個可以用來測試過濾器. TRUE = 玩家自身將被過濾, FALSE = 玩家自身將不被過濾."
L["GC"] = "過濾 <綜合> 頻道"
L["GCD"] = "選中以過濾 <綜合> 頻道。"
-- L["General"] = ""
-- L["LFG"] = ""
L["LFGC"] = "過濾 <組隊> 頻道"
L["LFGCD"] = "選中以過濾 <組隊> 頻道。"
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "輸出選項"
L["Profiles"] = "設定檔"
-- L["RBF"] = ""
-- L["RBWL"] = ""
L["Redir"] = "重定向垃圾信息 [需要新建聊天視窗名為 'SPAM']"
L["RedirDesc"] = "重定向交易頻道垃圾信息到 <SPAM> 頻道 [需要新建聊天視窗名為 'SPAM']"
-- L["redirectFrame"] = ""
-- L["REPEAT"] = ""
-- L["repeatFrame"] = ""
-- L["RLS"] = ""
-- L["#RPT"] = ""
-- L["RPTBLOCKED"] = ""
-- L["RPTBLOCKEDD"] = ""
-- L["#RPTD"] = ""
-- L["RPTENABLE"] = ""
-- L["RPTENABLED"] = ""
-- L["RPTRESET"] = ""
-- L["RPTRESETD"] = ""
-- L["RPTU"] = ""
-- L["RTF"] = ""
L["RUI"] = "重載 UI"
L["RUID"] = "重載 UI 以使一些改動生效"
L["SAYC"] = "過濾 <說> 頻道"
L["SAYCD"] = "選中以過濾 <說> 頻道"
-- L["Say/Yell"] = ""
L["TC"] = "過濾交易頻道"
L["TCD"] = "選中以過濾 <交易> 頻道"
L["TFR"] = "TradeFilter3"
-- L["Trade"] = ""
-- L["TRPT"] = ""
-- L["TRPTD"] = ""
L["TurnOn"] = "開啟"
L["TurnOnDesc"] = "啟用交易頻道過濾器。"
-- L["wLists"] = ""
L["YELLC"] = "過濾 <大喊> 頻道"
L["YELLCD"] = "選中以過濾 <大喊> 頻道"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	Notes = "過濾討厭的交易頻道垃圾訊息.",
	Title = "Trade|cffffffffFilter|r3",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
	-- WLIST5 = "",
}

if GetLocale() == "zhTW" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "koKR")
if L then
-- L["BCF"] = ""
-- L["BCFD"] = ""
-- L["bLists"] = ""
-- L["BTF"] = ""
-- L["bwLists"] = ""
-- L["CFM"] = ""
L["channelGroup"] = "채널 선택"
L["Debug"] = "디버그 [챗 프레임 'DEBUG' 생성 필요] "
L["DebugDesc"] = "디버깅 결과를 DEBUG 채널에 출력 [챗 프레임 'DEBUG' 생성 필요]"
-- L["debugFrame"] = ""
-- L["DISABLED"] = ""
-- L["EditFilter"] = ""
-- L["EditFilterD"] = ""
-- L["EditFilterGD"] = ""
-- L["EditFilterGroup"] = ""
-- L["EditFilterUsage"] = ""
-- L["EditLists"] = ""
-- L["ENABLED"] = ""
-- L["FADD"] = ""
-- L["FREM"] = ""
-- L["FSELF"] = ""
-- L["FSELFD"] = ""
L["GC"] = "공개 채널 필터링"
L["GCD"] = "공개 채널에 필터를 적용하려면 선택"
-- L["General"] = ""
-- L["LFG"] = ""
L["LFGC"] = "파티찾기 채널 필터링"
L["LFGCD"] = "파티찾기 채널에 필터를 적용하려면 선택"
-- L["listsGD"] = ""
-- L["listsGroup"] = ""
-- L["LOADED"] = ""
-- L["MATCHED"] = ""
-- L["NOMATCH"] = ""
-- L["OUTPUT"] = ""
L["Profiles"] = "프로필"
-- L["RBF"] = ""
-- L["RBWL"] = ""
L["Redir"] = "스팸 우회 [챗 프레임 'SPAM' 생성 필요]"
L["RedirDesc"] = "거래 채널 스팸을 SPAM 채널로 우회 [챗 프레임 'SPAM' 생성 필요]"
-- L["redirectFrame"] = ""
-- L["REPEAT"] = ""
-- L["repeatFrame"] = ""
-- L["RLS"] = ""
-- L["#RPT"] = ""
-- L["RPTBLOCKED"] = ""
-- L["RPTBLOCKEDD"] = ""
-- L["#RPTD"] = ""
-- L["RPTENABLE"] = ""
-- L["RPTENABLED"] = ""
L["RPTRESET"] = "리셋"
-- L["RPTRESETD"] = ""
-- L["RPTU"] = ""
-- L["RTF"] = ""
L["RUI"] = "UI 다시 불러오기"
L["RUID"] = "변경 사항을 적용하기 위해 유저 인터페이스 다시 불러오기"
L["SAYC"] = "일반 채널 필터링"
L["SAYCD"] = "일반 채널에 필터를 적용하려면 선택"
-- L["Say/Yell"] = ""
L["TC"] = "거래 채널 필터링"
L["TCD"] = "거래 채널에 필터를 적용하려면 선택"
L["TFR"] = "TradeFilter3"
-- L["Trade"] = ""
-- L["TRPT"] = ""
-- L["TRPTD"] = ""
L["TurnOn"] = "사용하기"
L["TurnOnDesc"] = "거래 채널 필터 사용"
-- L["wLists"] = ""
L["YELLC"] = "외침 채널 필터링"
L["YELLCD"] = "외침 채널에 필터를 적용하려면 선택"
L.BLACKLIST = {
	-- BLIST1 = "",
	-- BLIST10 = "",
	-- BLIST2 = "",
	-- BLIST3 = "",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
	TRADE = {
		-- FILTER1 = "",
		-- FILTER10 = "",
		-- FILTER2 = "",
		-- FILTER3 = "",
		-- FILTER4 = "",
		-- FILTER5 = "",
		-- FILTER6 = "",
		-- FILTER7 = "",
		-- FILTER8 = "",
		-- FILTER9 = "",
	},
}
L.TOC = {
	-- Notes = "",
	-- Title = "",
}
L.WHITELIST = {
	-- WLIST1 = "",
	-- WLIST2 = "",
	-- WLIST3 = "",
	-- WLIST4 = "",
	-- WLIST5 = "",
}

if GetLocale() == "koKR" then return end
end

local L =  LibStub("AceLocale-3.0"):NewLocale("TradeFilter3", "frFR")
if L then
L["BCF"] = "Filtres de base des canaux" -- Needs review
L["BCFD"] = "Les filtres du canal Commerce ne sont appliqués que pour le canal Commerce, aucun autre canal n'est affecté par cette liste."
L["bLists"] = "Liste noire"
L["BTF"] = "Filtres de base du commerce" -- Needs review
L["bwLists"] = "Liste noire et blanche" -- Needs review
-- L["CFM"] = ""
L["channelGroup"] = "Sélection du canal"
L["Debug"] = "Debugage (requiert de créer une fenêtre de discussion 'DEBUG')"
L["DebugDesc"] = "Activer le débugage et ressort dans le canal DEBUG ((requiert de créer une fenêtre \"DEBUG\")"
L["debugFrame"] = "DEBUG"
L["DISABLED"] = "|cffff8080Désactiver|r"
L["EditFilter"] = "Editer les expressions des filtres"
L["EditFilterD"] = "Editer les expressions des filtres du canal commerce ou général" -- Needs review
-- L["EditFilterGD"] = ""
L["EditFilterGroup"] = "Editer les filtres perso" -- Needs review
L["EditFilterUsage"] = "Insensible à la casse : LFG = [lL][fF][gG]" -- Needs review
L["EditLists"] = "Editer les listes"
L["ENABLED"] = "|cff00ff00Activer|r"
L["FADD"] = "Ajoute à la liste d'exception de TradeFilter"
L["FREM"] = "Supprime de la liste d'exception de TradeFilter"
L["FSELF"] = "Se filtrer"
L["FSELFD"] = "Se filtrer soi-même ? Peut servir pour tester les filtres. TRUE = filtrage actif sur soi, FALSE = pas de filtrage sur soi."
L["GC"] = "Filtre du canal Général"
L["GCD"] = "Sélectionner pour être appliqué au canal Général"
L["General"] = "Général"
-- L["LFG"] = ""
L["LFGC"] = "Filtre du canal RechercheDeGroupe"
L["LFGCD"] = "Sélectionner pour être appliqué au canal RechercheDeGroupe"
L["listsGD"] = "Ajouter des mots ou des expressions pour gérer vos listes noire et blanche." -- Needs review
L["listsGroup"] = "Listes noire/blanche" -- Needs review
L["LOADED"] = "|cff00ff00Charger!|r"
-- L["MATCHED"] = ""
-- L["NOMATCH"] = ""
L["OUTPUT"] = "Options d'affichage"
L["Profiles"] = "Profils"
L["RBF"] = "Réinitialiser les filtres de base" -- Needs review
L["RBWL"] = "Réinitialiser les listes noire/blanche" -- Needs review
L["Redir"] = "Redirige les spams (requiert de créer une fenêtre \"SPAM\")"
L["RedirDesc"] = "Rediriger les spams du canal Commerce vers le canal SPAM (requiert de créer une fenêtre \"SPAM\")"
L["redirectFrame"] = "SPAM"
L["REPEAT"] = "Répéter le filtrage"
L["repeatFrame"] = "REPETER"
L["RLS"] = "Réinitialiser le listes"
L["#RPT"] = "Répétitions"
L["RPTBLOCKED"] = "Bloqué"
L["RPTBLOCKEDD"] = "Total des répétitions bloquées"
L["#RPTD"] = "Nombre de répétitions avant filtrage"
L["RPTENABLE"] = "Activer le contrôle des répétitions."
L["RPTENABLED"] = "Activer ou Désactiver le contrôle des répétitions"
L["RPTRESET"] = "Réinitialiser"
L["RPTRESETD"] = "Réinitialiser le comptage de répétition"
L["RPTU"] = "Si le message est répété X fois en Y secondes, alors filtrer."
L["RTF"] = "Réinitialiser les filtres du commerce"
L["RUI"] = "Relancer l'interface"
L["RUID"] = "Relancer l'interface pour que les changements soient activés"
L["SAYC"] = "Filtre du canal Dire"
L["SAYCD"] = "Sélectionner pour appliquer le filtre au canal Dire"
L["Say/Yell"] = "Dire/Crier"
L["TC"] = "Filtre du canal Commerce"
L["TCD"] = "Sélectionner pour appliquer le filtre au canal Commerce"
L["TFR"] = "TradeFilter3"
L["Trade"] = "Commerce"
L["TRPT"] = "Temps"
L["TRPTD"] = "Temps requis entre chaque répétitions en secondes."
L["TurnOn"] = "Activer"
L["TurnOnDesc"] = "Activer le filtre des canaux"
L["wLists"] = "Liste blanche"
L["YELLC"] = "Filtre du canal Crier"
L["YELLCD"] = "Sélectionner pour appliquer le filtre au canal Crier"
L.BLACKLIST = {
	BLIST1 = "%[.*%].*rectum", -- Needs review
	-- BLIST10 = "",
	BLIST2 = "rectum.*%[.*%]",
	BLIST3 = "%[.*%].*anal",
	-- BLIST4 = "",
	-- BLIST5 = "",
	-- BLIST6 = "",
	-- BLIST7 = "",
	-- BLIST8 = "",
	-- BLIST9 = "",
}
L.FILTERS = {
	BASE = {
		-- FILTER1 = "",
		-- FILTER2 = "",
		FILTER3 = "[lL][fF][gG]",
		FILTER4 = "2[vV]2",
		FILTER5 = "3[vV]3",
		FILTER6 = "5[vV]5",
		FILTER7 = "[cC][hH][eE][rR][cC][hH][eE] [dD][pP][sS]",
		FILTER8 = "[cC][hH][eE][rR][cC][hH][eE] [tT][aA][nN][kK]",
		FILTER9 = "[cC][hH][eE][rR][cC][hH][eE] [sS][oO][iI][gG][nN][eE][uU][rR]",
	},
	TRADE = {
		FILTER1 = "[aA][cC][hH][èE][tT][eE]",
		FILTER10 = "[cC][hH][eE][rR][cC][hH][eE] [pP][oO][rR][tT][aA][iI][lL]",
		-- FILTER2 = "",
		-- FILTER3 = "",
		FILTER4 = "[cC][hH][eE][rR][cC][hH][eE] [eE][nN][cC][hH][aA][nN][tT][eE][mM][eE][nN][tT]",
		-- FILTER5 = "",
		FILTER6 = "HV",
		-- FILTER7 = "",
		-- FILTER8 = "",
		FILTER9 = "[vV][eE][nN][tT][eE]",
	},
}
L.TOC = {
	Notes = "Filtre le canal Commerce des commentaires hors charte",
	Title = "TradeFilter3",
}
L.WHITELIST = {
	WLIST1 = "enchantement:%d+[^%a%d]",
	WLIST2 = "objet:%d+[^%a%d]",
	WLIST3 = "sort:%d+[^%a%d]",
	WLIST4 = "commerce:%d+[^%a%d]",
	-- WLIST5 = "",
}

if GetLocale() == "frFR" then return end
end
